Package org.eclipse.rdf4j.common.iteration

## Class SilentIteration<T,​E extends Exception>

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,​X>
  - - org.eclipse.rdf4j.common.iteration.IterationWrapper<T,​E>
    - - org.eclipse.rdf4j.common.iteration.SilentIteration<T,​E>

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<T,​E>`, `Iteration<T,​E>`
  Direct Known Subclasses:
    `SilentIteration`

      public class SilentIteration<T,​E extends Exception>
      extends IterationWrapper<T,​E>

  An `IterationWrapper` that silently ignores any errors that occur during processing.
  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `wrappedIter`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SilentIteration​(CloseableIteration<T,​E> iter)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `handleClose()` | Closes this Iteration and also closes the wrapped Iteration if it is a `CloseableIteration`.
    `boolean` | `hasNext()` | Checks whether the wrapped Iteration contains more elements, closing this Iteration when this is not the case.
    `T` | `next()` | Returns the next element from the wrapped Iteration.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### SilentIteration

          public SilentIteration​(CloseableIteration<T,​E> iter)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()
                          throws E extends Exception

      Description copied from class: `IterationWrapper`
      Checks whether the wrapped Iteration contains more elements, closing this Iteration when this is not the case.
      Specified by:
        `hasNext` in interface `Iteration<T,​E extends Exception>`
      Overrides:
        `hasNext` in class `IterationWrapper<T,​E extends Exception>`
      Returns:
        true if the wrapped Iteration contains more elements, false otherwise.
      Throws:
        `E extends Exception`

    - #### next

          public T next()
                 throws E extends Exception

      Description copied from class: `IterationWrapper`
      Returns the next element from the wrapped Iteration.
      Specified by:
        `next` in interface `Iteration<T,​E extends Exception>`
      Overrides:
        `next` in class `IterationWrapper<T,​E extends Exception>`
      Returns:
        the next element in the iteration.
      Throws:
        `E extends Exception`

    - #### handleClose

          protected void handleClose()
                              throws E extends Exception

      Description copied from class: `IterationWrapper`
      Closes this Iteration and also closes the wrapped Iteration if it is a `CloseableIteration`.
      Overrides:
        `handleClose` in class `IterationWrapper<T,​E extends Exception>`
      Throws:
        `E extends Exception`